# Class GetCryptoCurrencyPaymentMethodsReply

#### Hierarchy

- unknown
  - GetCryptoCurrencyPaymentMethodsReply

- Defined in src/protobuf/grpc_pb.d.ts:2080
- Defined in src/protobuf/grpc_pb.d.ts:2094

#####
Index

### Constructors

constructor

### Methods

addPaymentMethods
clearPaymentMethodsList
getPaymentMethodsList
serializeBinary
setPaymentMethodsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetCryptoCurrencyPaymentMethodsReply(): GetCryptoCurrencyPaymentMethodsReply

- #### Returns GetCryptoCurrencyPaymentMethodsReply

  Inherited from jspb.Message.constructor

## Methods

### addPaymentMethods

- addPaymentMethods(value?: PaymentMethod, index?: number): PaymentMethod

- #### Parameters

  - ##### `Optional` value: PaymentMethod

  - ##### `Optional` index: number

  #### Returns PaymentMethod

  - Defined in src/protobuf/grpc_pb.d.ts:2084

### clearPaymentMethodsList

- clearPaymentMethodsList(): GetCryptoCurrencyPaymentMethodsReply

- #### Returns GetCryptoCurrencyPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2083

### getPaymentMethodsList

- getPaymentMethodsList(): PaymentMethod[]

- #### Returns PaymentMethod[]

  - Defined in src/protobuf/grpc_pb.d.ts:2081

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2086

### setPaymentMethodsList

- setPaymentMethodsList(value: PaymentMethod[]): GetCryptoCurrencyPaymentMethodsReply

- #### Parameters

  - ##### value: PaymentMethod[]

  #### Returns GetCryptoCurrencyPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2082

### toObject

- toObject(includeInstance?: boolean): GetCryptoCurrencyPaymentMethodsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetCryptoCurrencyPaymentMethodsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2087

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetCryptoCurrencyPaymentMethodsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetCryptoCurrencyPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2090

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetCryptoCurrencyPaymentMethodsReply, reader: BinaryReader): GetCryptoCurrencyPaymentMethodsReply

- #### Parameters

  - ##### message: GetCryptoCurrencyPaymentMethodsReply

  - ##### reader: BinaryReader

  #### Returns GetCryptoCurrencyPaymentMethodsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2091

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetCryptoCurrencyPaymentMethodsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetCryptoCurrencyPaymentMethodsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2089

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetCryptoCurrencyPaymentMethodsReply): GetCryptoCurrencyPaymentMethodsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetCryptoCurrencyPaymentMethodsReply

  #### Returns GetCryptoCurrencyPaymentMethodsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2088

Generated using TypeDoc